Get SIP trunk
curl --request GET \
--url https://app.autocalls.ai/api/user/phone-numbers/sip-trunks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.autocalls.ai/api/user/phone-numbers/sip-trunks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.autocalls.ai/api/user/phone-numbers/sip-trunks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provider X — Main",
"sip_username": "myuser",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "auth",
"allowed_inbound_ips": null,
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_xxxxxxxxxxxx",
"outbound_trunk_id": "ST_yyyyyyyyyyyy",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T10:00:00.000000Z"
}
}
{
"error": "SIP trunk not found."
}
SIP Trunks
Get SIP trunk
Get a single SIP trunk by ID
GET
/
user
/
phone-numbers
/
sip-trunks
/
{id}
Get SIP trunk
This endpoint returns detailed information about a specific SIP trunk, including internal trunk IDs useful for debugging.
Path Parameters
integer
required
The unique identifier of the SIP trunk
Response
object
The SIP trunk object
Show SIP trunk properties
Show SIP trunk properties
integer
The unique identifier of the SIP trunk
string
The SIP extension or phone number (DID) in E.164 format
string
A short, human-friendly label for the trunk (or
null if not set)string
The username used for SIP authentication
string
The SIP server address
string
The outbound calling number format:
+e164, e164, or nationalstring
The inbound authorization method:
auth or iparray
Array of whitelisted IP addresses (only when
inbound_authorization_type is ip)boolean
Whether outbound calls use a fixed proxy IP address
string
The ISO 3166-2 country code
string
Internal identifier for the inbound voice trunk (useful for debugging)
string
Internal identifier for the outbound voice trunk (useful for debugging)
string
ISO 8601 timestamp
string
ISO 8601 timestamp
{
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provider X — Main",
"sip_username": "myuser",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "auth",
"allowed_inbound_ips": null,
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_xxxxxxxxxxxx",
"outbound_trunk_id": "ST_yyyyyyyyyyyy",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T10:00:00.000000Z"
}
}
{
"error": "SIP trunk not found."
}
⌘I

